summaryrefslogtreecommitdiff
path: root/tests/misc/nohup
diff options
context:
space:
mode:
Diffstat (limited to 'tests/misc/nohup')
-rwxr-xr-xtests/misc/nohup5
1 files changed, 4 insertions, 1 deletions
diff --git a/tests/misc/nohup b/tests/misc/nohup
index 25a7ca4da..ad04a1cb0 100755
--- a/tests/misc/nohup
+++ b/tests/misc/nohup
@@ -101,8 +101,11 @@ EOF
# Disable these comparisons. Too much variation in 2nd line.
# compare exp err || fail=1
-# Make sure it fails with exit status of 127 when given too few arguments.
+# Make sure it fails with exit status of 125 when given too few arguments,
+# except that POSIX requires 127 in this case.
nohup >/dev/null 2>&1
+test $? = 125 || fail=1
+POSIXLY_CORRECT=1 nohup >/dev/null 2>&1
test $? = 127 || fail=1
Exit $fail